Bug 168349 - Change net/wireshark MASTER_SITES
Change net/wireshark MASTER_SITES
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 20:10 UTC by Esa Karkkainen
Modified: 2012-05-27 22:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (990 bytes, patch)
2012-05-26 20:10 UTC, Esa Karkkainen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Esa Karkkainen 2012-05-26 20:10:01 UTC
Some of the master sites have gone and some have changed the directory tree, new sites have also been added.

The master sites have been updated, so that the 1.6.8 version is
fetchable, allthough this patch will make the current version 1.6.5
also fetchable, because the "askapache" site provides all versions.

The "askapache" site does not provide any publicly readable files,
at the URL http://wireshark.askapache.com/download/src/, only the
"Parent Directory" and "all-versions" directories are available.

I'll submit another PR of net/wireshark update from 1.6.5 to 1.6.8.

How-To-Repeat: cd ports/net/wireshark
make fetch
Comment 1 Edwin Groothuis freebsd_committer 2012-05-26 20:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Esa Karkkainen 2012-05-26 20:26:26 UTC
Hi,

	Unfortunely the original patch had strange characters on three
sites, this patch does not contain these characters.

---8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--
diff -ruN /usr/ports/net/wireshark/Makefile ports/net/wireshark/Makefile
--- /usr/ports/net/wireshark/Makefile	2012-02-15 17:19:31.464627467 +0200
+++ ports/net/wireshark/Makefile	2012-05-26 21:42:53.271863288 +0300
@@ -10,11 +10,13 @@
 PORTREVISION=	1
 CATEGORIES=	net ipv6
 MASTER_SITES=	http://www.wireshark.org/download/src/ \
-    		http://wireshark.osmirror.nl/download/src/ \
 		http://ftp.uni-kl.de/pub/wireshark/src/ \
-		http://wireshark.askapache.com/download/src/ \
-		http://wireshark.dsmirror.nl/download/src/ \
-		ftp://ftp.uni-kl.de/pub/wireshark/src/
+		http://wireshark.askapache.com/download/src/all-versions/ \
+		ftp://ftp.uni-kl.de/pub/wireshark/src/ \
+		http://prdownloads.sourceforge.net/wireshark/ \
+		http://ftp.yz.yamagata-u.ac.jp/pub/network/security/wireshark/src/ \
+		ftp://ftp.yz.yamagata-u.ac.jp/pub/network/security/wireshark/src/ \
+		http://wireshark.zing.org/download/src/
 DISTNAME=	${DATADIR_NAME}-${PORTVERSION}
 
 MAINTAINER=	marcus@FreeBSD.org
---8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--8<--

-- 
"In the beginning the Universe was created. This has made a lot of
people very angry and been widely regarded as a bad move."
        -- Douglas Adams 1952 - 2001
Comment 3 Joe Marcus Clarke freebsd_committer 2012-05-27 22:15:02 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2012-05-27 22:15:19 UTC
marcus      2012-05-27 21:14:56 UTC

  FreeBSD ports repository

  Modified files:
    net/wireshark        Makefile distinfo 
  Log:
  Update to 1.6.8.  See http://www.wireshark.org/docs/relnotes/ for links
  to the release notes for versions 1.6.6 through 1.6.8.
  
  Also:
  
  * Fix the list of MASTER_SITES [1]
  * Remove shared lib version numbers
  
  PR:             168349 [1]
  Submitted by:   Esa Karkkainen <ejk@iki.fi> [1]
  
  Revision  Changes    Path
  1.178     +15 -14    ports/net/wireshark/Makefile
  1.92      +2 -2      ports/net/wireshark/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"